Bug 115165 - botched string concat ?
Summary: botched string concat ?
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-07 14:23 UTC by d.binderman
Modified: 2013-07-03 03:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-17 01:34:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:569 normal SHIPPED_LIVE Low: mysql security update 2004-10-20 04:00:00 UTC
Red Hat Product Errata RHSA-2004:597 normal SHIPPED_LIVE Important: mysql security update 2004-10-20 04:00:00 UTC

Description d.binderman 2004-02-07 14:23:56 UTC
Description of problem:

I just tried to compile package mysql-3_23_58-2 from Fedora.

The compiler said

1.

dict0load.c:340: warning: too many arguments for format

The source code is

                        fprintf(stderr,
"InnoDB: Error: data dictionary entry for table %s is corrupt!\n",
"InnoDB: An index field is delete marked.\n",
                        table->name);

Note the , at the end of the first line starting with InnoDB.

Maybe 

                        fprintf(stderr,
"InnoDB: Error: data dictionary entry for table %s is corrupt!\n"
"InnoDB: An index field is delete marked.\n",
                        table->name);

was intended by the programmer, to get string concatenation.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom Lane 2004-03-17 01:34:30 UTC
Patch applied in mysql-3.23.58-8.  I see it is already fixed in mysql
4.*, but we aren't going to be able to ship that till mysql fixes
their licensing problem :-(

Comment 2 Josh Bressers 2004-10-20 19:12:44 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-597.html


Comment 3 Josh Bressers 2004-10-20 19:41:27 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-569.html



Note You need to log in before you can comment on or make changes to this bug.